Bug 810202 - [abrt] kernel: [809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3415!
[abrt] kernel: [809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:3649a2090b896495c648e934b52...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 06:32 EDT by Victor
Modified: 2013-02-13 03:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor 2012-04-05 06:32:27 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.1.6-1.fc16.i686 root=/dev/mapper/vg_desktoppctest-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_desktoppctest/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_desktoppctest/lv_root
comment:        Just run ioquake3.
event_log:      2012-01-26-18:48:24> The report was appended to kerneloops_report.log
kernel:         3.i386 Not tainted 3.1.6-1.fc16.i686 #1 Hewlett-Packard HP Compaq dc7100 CMT(PE273EA
reason:         [809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3415!
reported_to:    file: kerneloops_report.log
time:           Thu 26 Jan 2012 06:39:00 PM MSK

backtrace:
:[809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3415!
:[809524.902004] invalid opcode: 0000 [#1] SMP 
:[809524.902004] Modules linked in: lockd fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm microcode uinput sunrpc binfmt_misc iTCO_wdt iTCO_vendor_support snd_timer snd parport_pc soundcore snd_page_alloc parport tg3 wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[809524.926879] 
:[809524.926879] Pid: 17824, comm: ioquake3.i386 Not tainted 3.1.6-1.fc16.i686 #1 Hewlett-Packard HP Compaq dc7100 CMT(PE273EA)/0968h
:[809524.926879] EIP: 0060:[<f7e7c6d6>] EFLAGS: 00010246 CPU: 1
:[809524.926879] EIP is at i915_gem_object_pin+0x136/0x190 [i915]
:[809524.939018] EAX: 000be402 EBX: cb18a600 ECX: 0001e000 EDX: 00000000
:[809524.939018] ESI: 00000000 EDI: 00000000 EBP: edb39d50 ESP: edb39d1c
:[809524.939018]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:[809524.939018] Process ioquake3.i386 (pid: 17824, ti=edb38000 task=ed877110 task.ti=edb38000)
:[809524.939018] Stack:
:[809524.939018]  0002e042 00000003 c0c55800 ed877110 00000002 00000046 00000046 0001e000
:[809524.939018]  f2b351e0 f40ba000 cb18a600 00000000 00000000 edb39d7c f7e7eece 00000000
:[809524.939018]  f40ba020 edb39df8 0196ea80 d0603978 eda75178 edb39e88 d0603978 00000005
:[809524.939018] Call Trace:
:[809524.939018]  [<f7e7eece>] i915_gem_execbuffer_reserve+0x14e/0x320 [i915]
:[809524.939018]  [<f7e7f99a>] i915_gem_do_execbuffer+0x52a/0x1010 [i915]
:[809524.939018]  [<f7e7007b>] ? i915_restore_modeset_reg+0x132b/0x2280 [i915]
:[809524.939018]  [<f7e7c945>] ? i915_gem_object_unpin+0x95/0xa0 [i915]
:[809524.939018]  [<f7e7ca38>] ? i915_gem_pwrite_ioctl+0xe8/0xa70 [i915]
:[809524.939018]  [<c0638a34>] ? idr_get_new_above_int+0x14/0x70
:[809524.939018]  [<c0517f65>] ? __kmalloc+0x195/0x1e0
:[809524.939018]  [<c0638e8b>] ? idr_pre_get+0x4b/0x80
:[809524.939018]  [<f7e80981>] i915_gem_execbuffer2+0x61/0x210 [i915]
:[809524.939018]  [<f7d3bcc0>] drm_ioctl+0x390/0x450 [drm]
:[809524.939018]  [<f7e80920>] ? i915_gem_execbuffer+0x4a0/0x4a0 [i915]
:[809524.939018]  [<c05f1cfb>] ? file_has_perm+0xcb/0xe0
:[809524.939018]  [<f7d3b930>] ? drm_copy_field+0x80/0x80 [drm]
:[809524.939018]  [<c0537396>] do_vfs_ioctl+0x86/0x5a0
:[809524.939018]  [<c05f2174>] ? selinux_file_ioctl+0x54/0x110
:[809524.939018]  [<c053791f>] sys_ioctl+0x6f/0x80
:[809524.939018]  [<c090d4f4>] syscall_call+0x7/0xb
:[809524.939018]  [<c0900000>] ? profile_cpu_callback+0x91/0x1ac
:[809524.939018] Code: f8 11 00 00 89 f8 81 c1 f4 11 00 00 e8 f4 de 7c c8 eb 8a 66 90 89 f0 0f b6 c8 89 d8 e8 54 c8 ff ff 85 c0 0f 84 4c ff ff ff eb 93 <0f> 0b 0f b6 83 82 00 00 00 89 f1 89 54 24 10 c7 44 24 08 d4 c9 
:[809524.939018] EIP: [<f7e7c6d6>] i915_gem_object_pin+0x136/0x190 [i915] SS:ESP 0068:edb39d1c

kerneloops_report.log:
:abrt_version:   2.0.7
:cmdline:        BOOT_IMAGE=/vmlinuz-3.1.6-1.fc16.i686 root=/dev/mapper/vg_desktoppctest-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_desktoppctest/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_desktoppctest/lv_root
:comment:        Just run ioquake3.
:kernel:         3.i386 Not tainted 3.1.6-1.fc16.i686 #1 Hewlett-Packard HP Compaq dc7100 CMT(PE273EA
:kerneloops_report.log: 
:reason:         [809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3415!
:time:           Thu 26 Jan 2012 06:39:00 PM MSK
:
:backtrace:
::[809524.902004] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3415!
::[809524.902004] invalid opcode: 0000 [#1] SMP 
::[809524.902004] Modules linked in: lockd fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ppdev snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm microcode uinput sunrpc binfmt_misc iTCO_wdt iTCO_vendor_support snd_timer snd parport_pc soundcore snd_page_alloc parport tg3 wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
::[809524.926879] 
::[809524.926879] Pid: 17824, comm: ioquake3.i386 Not tainted 3.1.6-1.fc16.i686 #1 Hewlett-Packard HP Compaq dc7100 CMT(PE273EA)/0968h
::[809524.926879] EIP: 0060:[<f7e7c6d6>] EFLAGS: 00010246 CPU: 1
::[809524.926879] EIP is at i915_gem_object_pin+0x136/0x190 [i915]
::[809524.939018] EAX: 000be402 EBX: cb18a600 ECX: 0001e000 EDX: 00000000
::[809524.939018] ESI: 00000000 EDI: 00000000 EBP: edb39d50 ESP: edb39d1c
::[809524.939018]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
::[809524.939018] Process ioquake3.i386 (pid: 17824, ti=edb38000 task=ed877110 task.ti=edb38000)
::[809524.939018] Stack:
::[809524.939018]  0002e042 00000003 c0c55800 ed877110 00000002 00000046 00000046 0001e000
::[809524.939018]  f2b351e0 f40ba000 cb18a600 00000000 00000000 edb39d7c f7e7eece 00000000
::[809524.939018]  f40ba020 edb39df8 0196ea80 d0603978 eda75178 edb39e88 d0603978 00000005
::[809524.939018] Call Trace:
::[809524.939018]  [<f7e7eece>] i915_gem_execbuffer_reserve+0x14e/0x320 [i915]
::[809524.939018]  [<f7e7f99a>] i915_gem_do_execbuffer+0x52a/0x1010 [i915]
::[809524.939018]  [<f7e7007b>] ? i915_restore_modeset_reg+0x132b/0x2280 [i915]
::[809524.939018]  [<f7e7c945>] ? i915_gem_object_unpin+0x95/0xa0 [i915]
::[809524.939018]  [<f7e7ca38>] ? i915_gem_pwrite_ioctl+0xe8/0xa70 [i915]
::[809524.939018]  [<c0638a34>] ? idr_get_new_above_int+0x14/0x70
::[809524.939018]  [<c0517f65>] ? __kmalloc+0x195/0x1e0
::[809524.939018]  [<c0638e8b>] ? idr_pre_get+0x4b/0x80
::[809524.939018]  [<f7e80981>] i915_gem_execbuffer2+0x61/0x210 [i915]
::[809524.939018]  [<f7d3bcc0>] drm_ioctl+0x390/0x450 [drm]
::[809524.939018]  [<f7e80920>] ? i915_gem_execbuffer+0x4a0/0x4a0 [i915]
::[809524.939018]  [<c05f1cfb>] ? file_has_perm+0xcb/0xe0
::[809524.939018]  [<f7d3b930>] ? drm_copy_field+0x80/0x80 [drm]
::[809524.939018]  [<c0537396>] do_vfs_ioctl+0x86/0x5a0
::[809524.939018]  [<c05f2174>] ? selinux_file_ioctl+0x54/0x110
::[809524.939018]  [<c053791f>] sys_ioctl+0x6f/0x80
::[809524.939018]  [<c090d4f4>] syscall_call+0x7/0xb
::[809524.939018]  [<c0900000>] ? profile_cpu_callback+0x91/0x1ac
::[809524.939018] Code: f8 11 00 00 89 f8 81 c1 f4 11 00 00 e8 f4 de 7c c8 eb 8a 66 90 89 f0 0f b6 c8 89 d8 e8 54 c8 ff ff 85 c0 0f 84 4c ff ff ff eb 93 <0f> 0b 0f b6 83 82 00 00 00 89 f1 89 54 24 10 c7 44 24 08 d4 c9 
::[809524.939018] EIP: [<f7e7c6d6>] i915_gem_object_pin+0x136/0x190 [i915] SS:ESP 0068:edb39d1c
:
:END:
:
Comment 1 Fedora End Of Life 2013-01-16 05:04:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 03:20:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.